/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var productId = ko.observable(),
        productName = ko.observable(),
        productType = ko.observable(),
        productTypeLabel = ko.observable(),
        hasProductType = ko.observable(false),
        childProducts = ko.observableArray([]),
        customizableOptionTitles = ko.observableArray([]),
        customizableOptions = ko.observableArray([]),
        storeId = ko.observable(),
        storeScope = ko.observable(),
        language = ko.observable(),
        stores = ko.observableArray([]),
        directiveRegex = ko.observableArray([]),
        descriptionDirectiveExists = ko.observable(),
        shortDescriptionDirectiveExists = ko.observable(),
        productUrl = ko.observable();

    return {
        productId: productId,
        productName: productName,
        productType: productType,
        productTypeLabel: productTypeLabel,
        hasProductType: hasProductType,
        childProducts: childProducts,
        customizableOptionTitles: customizableOptionTitles,
        customizableOptions: customizableOptions,
        storeId: storeId,
        storeScope: storeScope,
        language: language,
        stores: stores,
        directiveRegex: directiveRegex,
        descriptionDirectiveExists: descriptionDirectiveExists,
        shortDescriptionDirectiveExists: shortDescriptionDirectiveExists,
        productUrl: productUrl
    };
});
